/*
 * @Descripttion:
 * @version:
 * @Author: kBank
 * @Date: 2023-03-21 09:00:28
 */
import request from '@/utils/request'

// 办理基础业务枚举
export function getHandleBusinessEnum() {
  return request({
    url: '/system/pub/enums/handleBusinessEnum',
    method: 'get',
  })
}

//基础业务列表
export function getBusinessList(params) {
  return request({
    url: '/member/manage/handle-business/businessList',
    method: 'get',
    params
  })
}

//基础业务办理校验
export function businessCheck(data) {
  return request({
    url: '/member/manage/handle-business/businessCheck',
    method: 'post',
    data
  })
}

//保存业务办理信息
export function saveHandelBusiness(data) {
  return request({
    url: '/member/manage/handle-business/save',
    method: 'post',
    data
  })
}

//订单业务列表
export function getOrderBusinessList(params) {
  return request({
    url: '/sale/manage/order-business/list',
    method: 'get',
    params
  })
}

//确认业务按钮枚举
export function getPubEnumsProcessTyepe(params) {
  return request({
    url: '/system/pub/enums/process-type',
    method: 'get',
    params
  })
}

//根据注水日期查询历史业绩
export function getHistoryAchieve(params) {
  return request({
    url: '/member/manager/member-achieve-log/historyAchieve',
    method: 'get',
    params
  })
}

//修改政策币
export function upPolicyCurrency(data) {
  return request({
    url: '/member/manage/update-policy-currency/upPolicyCurrency',
    method: 'post',
    data
  })
}
//会员变更前得查询
export function specialBusinessQuery(params) {
  return request({
    url: '/member/manager/updatecode/specialBusinessQuery',
    method: 'get',
    params
  })
}

// 在线签呈回显
export function onlinePetition(data) {
  return request({
    url: '/member/manage/handle-business/online-petition',
    method: 'post',
    data
  })
}

//订单业务 修改地址数据
export function getOrderBusinessAddressData(params) {
  return request({
    url: '/sale/manage/order-business/address-data',
    method: 'get',
    params
  })
}

//验证签呈是否存在
export function checkHassign(id) {
  return request({
    url: '/system/manage/approval/has-sign/' + id,
    method: 'get',
  })
}
//修改地址校验
export function addressCheck(params) {
  return request({
    url: '/sale/manage/order-business/address-check',
    method: 'get',
    params
  })
}
//调换货数据
export function productData(params) {
  return request({
    url: '/sale/manage/order-business/product-data',
    method: 'get',
    params
  })
}
//退单数据
export function returnData(params) {
  return request({
    url: '/sale/manage/order-business/return-data',
    method: 'get',
    params
  })
}
//合并退单数据
export function returnDataMerge(params) {
  return request({
    url: '/sale/manage/order-business/return-data-batch',
    method: 'get',
    params
  })
}
//单点撤单数据
export function toCancelOrder(data) {
  return request({
    url: '/sale/manage/order-business/cancel-order-submit',
    method: 'post',
    data
  })
}

//特殊业务-免签、确认需调用校验金额
export function balanceCheck(data) {
  return request({
    url: '/member/manage/handle-business/balanceCheck',
    method: 'post',
    data
  })
}
//审核状态
export function getApproveStatus(params) {
  return request({
      url: '/system/pub/enums/approve-recharge-status',
      method: 'get',
      params
  })
}
//营业执照
export function licenseList(data) {
  return request({
    url: '/member/manager/business/license/list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    method: 'post',
    data
  })
}
//营业执照驳回
export function licenseReject(data) {
  return request({
    url: '/member/manager/business/license/reject',
    method: 'post',
    data
  })
}

//营业执照详情
export function licenseDetailt(params) {
  return request({
    url: '/member/manager/business/license/detail',
    method: 'get',
    params
  })
}
//隶属团队
export function teamList(params) {
  return request({
    url: 'member/manage/member-team/find-all',
    method: 'get',
    params
  })
}
//伞下直推新增业绩
export function directAddList(params) {
  return request({
    url: 'report/manager/member-report/direct-push-new',
    method: 'get',
    params
  })
}
//伞下直推新增业绩（新）
export function directAddNewList(params) {
  return request({
    url: 'report/manager/member-report/direct-push-new-up',
    method: 'get',
    params
  })
}
//审核状态
export function approvalStatus(params) {
  return request({
    url: '/system/pub/enums/approval-status-submit',
    method: 'get',
    params
  })
}
//生态科技舱卡
export function saleCard(params) {
  return request({
    url: '/sale/manage/cabin-card/detail-list',
    method: 'get',
    params
  })
}
//生态科技舱复购
export function saleCardRepur(params) {
  return request({
    url: '/sale/manage/cabin-card/detail-repur-list',
    method: 'get',
    params
  })
}
//生态科技舱绑定列表
export function deviceList(data) {
  return request({
    url: '/energy/manage/device/list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    method: 'post',
    data
  })
}
//生态科技舱绑定修改
export function deviceUpdate(data) {
  return request({
    url: '/energy/manage/device/update-device',
    method: 'post',
    data
  })
}


